Component

com.uva.rafael.tfg_goniometer.dependencyInjection

## Interface Component

- All Known Implementing Classes:
    DaggerComponent

      @Component(modules=Module.class)
      public interface Component

  Esta interfaz es un Componente (segun la terminologia de la biblioteca Dagger 2), indicado mediante la etiqueta `Component` en la definicion de la misma.

  En este caso, este componente utiliza un unico modulo (`Module`). Y se encarga de definir los metodos con las `Activities` o `Fragments` donde se va a hacer la inyeccion de dependencias, es decir, dispone de un metodo por cada una de las clases donde se va a realizar esa inyeccion de dependencias.

  Esta interfaz forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `Module`, `App`, `ActivityScope`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `injectHomeFragment(HomeFragment fragment)`
    `void` | `injectMainActivity(MainActivity activity)`
    `void` | `injectMedicionFragment(MedicionFragment fragment)`
    `void` | `injectNuevaMedicionFragment(NuevaMedicionFragment fragment)`
    `void` | `injectNuevoPacienteFragment(NuevoPacienteFragment fragment)`
    `void` | `injectPacientesFragment(PacientesFragment fragment)`
    `void` | `injectPerfilPacienteFragment(PerfilPacienteFragment fragment)`
    `void` | `injectSobreAppFragment(SobreAppFragment fragment)`
    `void` | `injectUltimasMedicionesFragment(UltimasMedicionesFragment fragment)`

- - ### Method Detail

    - #### injectMainActivity

          void injectMainActivity(MainActivity activity)

    - #### injectHomeFragment

          void injectHomeFragment(HomeFragment fragment)

    - #### injectMedicionFragment

          void injectMedicionFragment(MedicionFragment fragment)

    - #### injectPacientesFragment

          void injectPacientesFragment(PacientesFragment fragment)

    - #### injectNuevoPacienteFragment

          void injectNuevoPacienteFragment(NuevoPacienteFragment fragment)

    - #### injectPerfilPacienteFragment

          void injectPerfilPacienteFragment(PerfilPacienteFragment fragment)

    - #### injectNuevaMedicionFragment

          void injectNuevaMedicionFragment(NuevaMedicionFragment fragment)

    - #### injectUltimasMedicionesFragment

          void injectUltimasMedicionesFragment(UltimasMedicionesFragment fragment)

    - #### injectSobreAppFragment

          void injectSobreAppFragment(SobreAppFragment fragment)